WordPress.org

Ready to get started?Download WordPress

Forums

WP Search
[Plugin: WP-Search] Ver.2011 no index - page refresh and stops (7 posts)

  1. Monika
    Member
    Posted 3 years ago #

    Hi thanks for your work

    I activate this plugin
    go to the pluginspage

    would like to create the index..
    it runs and runs -after a few seconds the page reloads itself - I do nothing -really nothing- page reload and the index is stopping around 300 articles .

    Now I cando whatever I would like to do - no index is built.

    There are 2100articles in this installation.

    kindly regards

  2. Kenny
    Member
    Plugin Author

    Posted 3 years ago #

    I gave things a look over --

    I'll get back via email tomorrow morning.

    - Kenny

  3. Monika
    Member
    Posted 3 years ago #

    thanks Kenny

    your support is more than *top* :-)

  4. plevy
    Member
    Posted 3 years ago #

    I had the same behavior when trying to build the index. (I'm on 2.0.1.2).

    Then, when I tried to use the search on my site, I got this:

    Warning: Zend_Search_Lucene_Analysis_TokenFilter_LowerCaseUtf8::require_once(Zend/Search/Lucene/Exception.php) [function.Zend-Search-Lucene-Analysis-TokenFilter-LowerCaseUtf8-require-once]: failed to open stream: No such file or directory in D:\Inetpub\www.nrapublications.org-wp\Production\wordpress\wp-content\plugins\wpsearch\WPSearch\Backends\Phplucene\Zend\Search\Lucene\Analysis\TokenFilter\LowerCaseUtf8.php on line 46

    Fatal error: Zend_Search_Lucene_Analysis_TokenFilter_LowerCaseUtf8::require_once() [function.require]: Failed opening required 'Zend/Search/Lucene/Exception.php' (include_path='.;C:\php5\pear') in D:\Inetpub\www.nrapublications.org-wp\Production\wordpress\wp-content\plugins\wpsearch\WPSearch\Backends\Phplucene\Zend\Search\Lucene\Analysis\TokenFilter\LowerCaseUtf8.php on line 46

  5. c4mden
    Member
    Posted 3 years ago #

    I ran into the exact same error as plevy.

    It's being caused by the file LowerCaseUtf8.php. Line 46 tries to require_once 'Zend/Search/Lucene/Exception.php', but fails. Probably because the include path isn't set correctly.

    That exception is only encountered if the server does not have mb_strtolower() support. The best solution is to configure PHP to support mb_strings, by compiling with --enable-mbstring or another method.

  6. Kenny
    Member
    Plugin Author

    Posted 3 years ago #

    Hm, thanks for the insight on this!

    I'm going to add a warning on the plug-in settings page. The mbstring extension is definitely needed.

  7. cscscs
    Member
    Posted 3 years ago #

    I have the same problem as Monika on a site with ~4k posts running WP 3.0.1

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags